#pragma once

class Bill{
    private:
        char* _company_name;
        char* _serial_number;
        int _sum;
        bool _isPaid;
    public:
        Bill();
        Bill(char* company_name,char* serial_number,int sum,bool isPaid);
        ~Bill();
        Bill(const Bill& bill);
        char* company_name() const;
        char* serial_number() const;
        int sum() const;
        bool isPaid() const;
        void company_name(char* company_name);
        void serial_number(char* serial_number);
        void sum(int sum);
        void isPaid(bool check);
        bool operator==(Bill bill);
        Bill& operator=(const Bill& bill);

};